Subject: Re: bug#24453: Hyper and super keys don't work in some branches

From: Noam Postavsky <[email-masked]>
Date: Wed, 21 Sep 2016 13:07:32 -0400

On Tue, Sep 20, 2016 at 7:22 PM, Robert Cochran
<[email-masked]> wrote:
> I eventually managed to get it to work from the official Emacs 25.1
> release, so I think that the problem has been fixed.
>
> This is the form I used:
>
> (when (eq system-type 'windows-nt)
>   (setq w32-pass-lwindow-to-system nil)
>   (setq w32-pass-apps-to-system nil)
>   (setq w32-lwindow-modifier 'super)
>   ;; My laptop does not have a right super, so I used the
>   ;; 'apps'/'menu' key instead.
>   (setq w32-apps-modifier 'hyper))
>
> Also note that even still, Windows still ate a lot of the attempted
> super key combos, even those that didn't look like they did anything
> (s-z, for example). I know that `s-w` was passed to Emacs, as well as
> most of the symbol characters ('[', ';', etc...).
>

Perhaps this is some OS difference? `s-w` did not get passed through
for me, hardly any letters did. I see the same behaviour with 24.5 and
25.1.

This is what "System Information" tells me:
OS Name    Microsoft Windows 10 Home
Version    10.0.14393 Build 14393

Here are all the unshifted keys that got passed through:

s-y is undefined
s-n is undefined
s-[ is undefined
s-] is undefined
s-. is undefined
s-` is undefined
s-- is undefined
s-; is undefined
s-' is undefined
s-\ is undefined

All the other unshifted keys were blocked.